INode (Hadoop 0.20.2-CDH3B4 API)
Date: 2011-02-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.fs.s3
Class INode

    java.lang.Object
      org.apache.hadoop.fs.s3.INode

    public class INode

extends Object

Holds file metadata including type (regular file, or directory), and the list of blocks that are pointers to the data.

Field Summary
`static INode` | `DIRECTORY_INODE`
`static org.apache.hadoop.fs.s3.INode.FileType[]` | `FILE_TYPES`

Constructor Summary
`INode(org.apache.hadoop.fs.s3.INode.FileType fileType, Block[] blocks)`

Method Summary
`static INode` | `deserialize(InputStream in)`
`Block[]` | `getBlocks()`
`org.apache.hadoop.fs.s3.INode.FileType` | `getFileType()`
`long` | `getSerializedLength()`
`boolean` | `isDirectory()`
`boolean` | `isFile()`
`InputStream` | `serialize()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FILE_TYPES

    public static final org.apache.hadoop.fs.s3.INode.FileType[] FILE_TYPES

### DIRECTORY_INODE

    public static final INode DIRECTORY_INODE

Constructor Detail

### INode

    public INode(org.apache.hadoop.fs.s3.INode.FileType fileType,
                 Block[] blocks)

Method Detail

### getBlocks

    public Block[] getBlocks()

### getFileType

    public org.apache.hadoop.fs.s3.INode.FileType getFileType()

### isDirectory

    public boolean isDirectory()

### isFile

    public boolean isFile()

### getSerializedLength

    public long getSerializedLength()

### serialize

    public InputStream serialize()
                          throws IOException

  Throws:
    `IOException`

### deserialize

    public static INode deserialize(InputStream in)
                             throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation